
QGIS Application - Bug report #5260

Georeferencer causes QGIS to crash on exit

2012-03-30 01:29 AM - Benoit de Cabissole

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14994

Description

How to replicate:

Open QGIS (keep default CRS, WGS84 LatLon)

Open Georeferencer (Raster|Georeferencer)

Load an image into the georeferencer (select a projected CRS, e.g. WGS84 UTM29N)

Set georeference points

Define georeferencer parameters (I'm using TPS, but do not think it makes a difference to the end result, select the same CRS as the one

defined on opening the image in georeferencer)

Select 'Load in QGIS when done'

Run the georeferencer

Close the Georeferencer

Close QGIS

Select 'Discard' when asked to select an action

=> QGIS crashes.

History

#1 - 2012-05-30 05:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Rasters to C++ Plugins

Cannot replicate on Windows 7 with QGIS master. There have been work on the georeferencer, maybe this was fixed. Please leave feedback-

#2 - 2012-05-30 06:13 AM - Benoit de Cabissole

- Status changed from Feedback to Closed

Effectively, work must have been done on the georeferencer because I cannot replicate the crash any more in QGIS Master (as at 2012/05/30). I'm closing

this ticket. Thank you developers!
